/**
 * @file Route: <%= route.slug %>
 *
 * This file is compiled as a standalone entrypoint and it is included by
 * default in its blade template.
 */

import "layouts/main";
import route from "@acanto/core-barba/route";
// import "components/MyComponent";

/**
 * Standard route hook.
 * Called on route creation (before DOM rendering)
 */
function created() {
}

/**
 * Standard route hook.
 * Called on route's DOM insertion (after DOM rendering)
 */
function mounted() {
}

/**
 * Standard route hook.
 * Called on route's DOM deletion
 */
function destroyed() {
}

// Standard required export
export default route(created, mounted, destroyed);
